missing "good" systems with skipped resources in dashboard report

08/29/2011 10:30 AM - Jacob McCann

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Dashboard   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

So I'm trying to find a correlation between my hosts and why only 3/13

show up as "good" within last 60 min on the dashboard even though 10 have green checks

within the last 20 minutes.  What I found is 3 out of the 10 good

systems have no skipped resources, while the rest have a skipped

resource.  I remember creating http://theforeman.org/issues/930 which

was resolved, but maybe the dashboard "good hosts" field was not

updated to also ignore skipped resources?

http://groups.google.com/group/foreman-users/browse_thread/thread/3844002f1a03b827

Associated revisions

Revision 4173bd27 - 09/04/2011 06:43 AM - Ohad Levy

fixes #1135 - missing "good" systems with skipped resources in dashboard report

History

#1 - 08/31/2011 12:52 PM - Jacob McCann

Also seems that under the reports drop-down for 'eventful' that systems with only skipped resources are being shown as eventful.

eventful = true:

Host          Last report     Applied  Restarted  Failed  Restart Failures  Skipped  Config retrieval  Runtime

    

hostname19    1 minute ago    0        0          0       0                 9        3.46              11.22  

  

hostname2f    2 minutes ago   0        0          0       0                 9        3.28              9.55   

 

hostname85    3 minutes ago   0        0          2       0                 1        5.21              21.24  

  

#2 - 09/04/2011 06:43 AM - Ohad Levy

- Category set to Dashboard

- Assignee set to Ohad Levy

- Target version set to 0.4

#3 - 09/04/2011 06:47 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 4173bd274bcc96ed5cb01002d7bdc0a80c6dd710.
